import React from 'react';
import { SvgIcon } from '@material-ui/core';
import { SvgIconProps } from '@material-ui/core/SvgIcon';

export default function PdfIcon(props: SvgIconProps & any) {
  const { fill } = props;
  return (
    <SvgIcon {...props} viewBox="0 0 19.5 26">
      <path
        id="Icon_awesome-file-pdf"
        data-name="Icon awesome-file-pdf"
        d="M9.237,13.005a4.9,4.9,0,0,1-.1-2.382C9.562,10.623,9.521,12.5,9.237,13.005Zm-.086,2.4a23.432,23.432,0,0,1-1.442,3.184A18.7,18.7,0,0,1,10.9,17.474,6.578,6.578,0,0,1,9.151,15.4ZM4.372,21.739c0,.041.67-.274,1.772-2.041A7.019,7.019,0,0,0,4.372,21.739ZM12.594,8.125H19.5V24.781A1.216,1.216,0,0,1,18.281,26H1.219A1.216,1.216,0,0,1,0,24.781V1.219A1.216,1.216,0,0,1,1.219,0H11.375V6.906A1.222,1.222,0,0,0,12.594,8.125Zm-.406,8.724a5.1,5.1,0,0,1-2.168-2.732,7.3,7.3,0,0,0,.315-3.26,1.272,1.272,0,0,0-2.427-.345,8.444,8.444,0,0,0,.411,3.91,47.685,47.685,0,0,1-2.072,4.357c-.005,0-.005.005-.01.005-1.376.706-3.738,2.26-2.768,3.453a1.578,1.578,0,0,0,1.092.508c.909,0,1.813-.914,3.1-3.138a28.946,28.946,0,0,1,4.012-1.178,7.7,7.7,0,0,0,3.25.99,1.315,1.315,0,0,0,1-2.2c-.706-.691-2.757-.493-3.738-.366ZM19.145,5.332,14.168.355A1.218,1.218,0,0,0,13.3,0H13V6.5h6.5V6.19A1.215,1.215,0,0,0,19.145,5.332ZM15.382,18.3c.208-.137-.127-.6-2.173-.457C15.092,18.642,15.382,18.3,15.382,18.3Z"
        fill={fill}
      />
    </SvgIcon>
  );
}
